import { SvgIconProps } from "../../app/types/types";


export function RequetesClientSidebarIcon(props: SvgIconProps) {
  return (
    <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <g clipPath="url(#clip0_4345_17401)">
        <path
          d="M16 4C9.46994 4 3.99999 8.6875 3.99999 14.6154C3.99999 17.4135 5.2548 19.9231 7.23076 21.7981C7.05769 22.256 6.7512 22.8834 6.22115 23.5288C5.58653 24.3041 4.84735 25.018 4.34615 25.4327C4.03966 25.6779 3.92067 26.0889 4.05047 26.4603C4.18028 26.8281 4.53004 27.0769 4.92307 27.0769C6.96754 27.0769 8.43869 27.0553 9.76922 26.7019C10.9591 26.3882 11.9832 25.7248 13.0288 24.7981C13.9808 25.0252 14.9615 25.2308 16 25.2308C22.53 25.2308 28 20.5433 28 14.6154C28 8.6875 22.53 4 16 4ZM16 5.84615C21.6538 5.84615 26.1538 9.83414 26.1538 14.6154C26.1538 19.3966 21.6538 23.3846 16 23.3846C14.994 23.3846 13.9519 23.2115 13 22.9519C12.6899 22.8726 12.3654 22.9627 12.1346 23.1827C11.0961 24.1779 10.3317 24.643 9.30769 24.9135C8.83533 25.0397 7.93028 25.0072 7.28845 25.0577C7.41826 24.9135 7.53725 24.8341 7.66345 24.6827C8.38821 23.7957 9.05168 22.8582 9.24999 21.7981C9.30769 21.4736 9.18509 21.1454 8.93269 20.9327C6.99999 19.3353 5.84615 17.0962 5.84615 14.6154C5.84615 9.83414 10.3461 5.84615 16 5.84615ZM14.2404 9.45192C14.0781 9.48798 13.9267 9.56731 13.8077 9.68269L12.4231 10.9808L13.6635 12.3365L14.7596 11.2981H16.9808L17.8461 12.2788V13.6346L15.4808 15.2212C15.2248 15.3978 15.0733 15.6899 15.0769 16V17.8462H16.9231V16.5192L19.2885 14.9327C19.5445 14.756 19.6959 14.4639 19.6923 14.1538V11.9327C19.6923 11.7091 19.6094 11.4928 19.4615 11.3269L18.0769 9.76923C17.9038 9.56731 17.6514 9.45192 17.3846 9.45192H14.4423C14.3738 9.44471 14.3089 9.44471 14.2404 9.45192ZM15.0769 18.7692V20.6154H16.9231V18.7692H15.0769Z"
          fill="#B0BAD3"
        />
      </g>
      <defs>
        <clipPath id="clip0_4345_17401">
          <rect width="24" height="24" fill="white" transform="translate(4 4)" />
        </clipPath>
      </defs>
    </svg>
  )
}
